/* USE CASE CARD */
.use-case-grid > div {
    width: 307px;
    height: 200px;
}

.use-case-card {
    width: 100%;
    height: 100%;
    padding: 20px;
    border-radius: 20px;
    position: relative;
    background: linear-gradient(180deg, var(--white) 0%, var(--white) 100%) padding-box,
    linear-gradient(180deg, var(--dark-grey) 0%, var(--dark-grey) 100%) border-box;
    border: 1px solid transparent;
    transition: all 0.3s ease;
}

.card-link {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.card-content {
    position: relative;
    display: flex;
    flex-direction: column;
    height: 100%;
}

.card-header {
    display: flex;
    justify-content: space-between;
}

.card-icon {
    width: 27px;
    display: flex;
}

/*.card-tag {*/
/*    position: absolute;*/
/*    top: 0;*/
/*    right: 0;*/
/*    color: #151E5B;*/
/*    font: 700 10px/10px "DM Sans", sans-serif;*/
/*    text-align: center;*/
/*    border-radius: 11px;*/
/*    padding: 1px 9px;*/
/*}*/

.card-tag {
    color: #151E5B;
    font: 700 10px/10px "DM Sans", sans-serif;
    text-align: center;
    border-radius: 11px;
    padding: 1px 9px;
    height: max-content;
}

.green-card .card-tag {
    background: #0BE24C33;
}

.pink-card .card-tag {
    background: #FF1BC033;
}

.use-case-card .card-title {
    font: 400 20px/28px "DM Sans", sans-serif;
    margin-top: auto;
}

.green-card .use-case-card .card-title {
    background: var(--text-gradient-green);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.pink-card .use-case-card .card-title {
    background: var(--text-gradient-pink);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}


.use-case-card .card-description {
    font: 400 14px/16px "DM Sans", sans-serif;
    letter-spacing: 0;
    margin: 5px 0 10px;
    color: var(--text-primary);
}

.green-card .use-case-card:hover {
    background: linear-gradient(180deg, var(--white) 0%, var(--white) 100%) padding-box, var(--gradient-green) border-box;
    box-shadow: 9px 9px 43px 0 #00000029;
    cursor: pointer;
}

.pink-card .use-case-card:hover {
    background: linear-gradient(180deg, var(--white) 0%, var(--white) 100%) padding-box, var(--gradient-pink) border-box;
    box-shadow: 9px 9px 43px 0 #00000029;
}

.name-wrapper {
    position: relative;
}

.card-name,
.card-name-hover {
    font: 700 10px/10px "DM Sans", sans-serif;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: var(--cyan-blue);
    position: relative;
    transition: all 0.3s ease;
}

.card-name-hover {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
}

.name-wrapper svg {
    position: absolute;
    right: 0;
    top: -3px;
    transition: all 0.3s ease;
    opacity: 0;
    width: 26px;
}

.name-wrapper svg path {
    fill: var(--white);
}

.green-card .name-wrapper svg path {
    fill: var(--green);
}

.pink-card .name-wrapper svg path {
    fill: var(--pink);
}


/* KIPP LINK CARD */
.kipp-link-card:hover {
    box-shadow: 9px 9px 43px 0 #00000029;
}

.kipp-link-card .card-content svg {
    position: absolute;
    right: 0;
    bottom: 5px;
    transition: all 0.3s ease;
    opacity: 0;
    width: 26px;
}

.kipp-link-card:hover .card-content svg {
    opacity: 1;
}

.kipp-link-card .card-content svg path {
    fill: var(--white);
}

.kipp-link-card {
    width: 100%;
    height: 100%;
    border-radius: 20px;
    padding: 20px 25px;
    transition: all 0.3s ease;
}

.kipp-link-card .card-icon {
    width: 80px;
    margin-bottom: auto;
}

.kipp-link-card .card-title {
    font: var(--heading-6);
    color: var(--white);
}

.kipp-link-card .card-description {
    font: var(--text-large);
    color: var(--white);
}

.card-fill-green .kipp-link-card {
    background: var(--gradient-green);
}

.card-fill-pink .kipp-link-card {
    background: var(--gradient-pink);
}

.card-fill-orange .kipp-link-card {
    background: var(--gradient-orange);
}

.card-fill-blue .kipp-link-card {
    background: var(--gradient-teal);
}

/* IMAGE SQUARE */
.image-square {
    width: max-content;
    position: relative;
}

.image-square {
    max-width: 100%;
}

.image-wrapper {
    display: flex;
    position: relative;
    z-index: 2;
    width: 295px;
    height: 225px;
}

.blend-square {
    position: absolute;
    border-radius: 20px;
    top: -30px;
    right: -30px;
    width: 225px;
    height: 225px;
    background: var(--gradient-green);
    mix-blend-mode: screen;
    z-index: 2;
}

.blend-square.bg-blue {
    background: var(--gradient-blue);
}

.blend-square.bg-green {
    background: var(--gradient-green);
}

.blend-square.bg-pink {
    background: var(--gradient-pink);
}

.blend-square.bg-orange {
    background: var(--gradient-orange);
}

.image-merchant .blend-square {
    background: var(--gradient-pink);
}

.image-square .image-wrapper img {
    object-fit: cover;
    border-radius: 20px;
}

.floating-icon {
    position: absolute;
    bottom: 65px;
    right: 52px;
    width: 85px;
    z-index: 2;
}

@media (min-width: 1025px) {
    .use-case-grid > div {
        width: 438px;
        height: 286px;
    }

    .use-case-card {
        padding: 30px;
    }

    .card-icon {
        width: 38px;
    }

    .card-tag {
        font: 700 13px/20px "DM Sans", sans-serif;
        padding: 1px 16px;
    }

    .use-case-card .card-title {
        font: var(--text-large);
    }

    .use-case-card .card-description {
        font: 400 16px/20px "DM Sans", sans-serif;
    }

    .card-name,
    .card-name-hover{
        font: 700 13px/26px "DM Sans", sans-serif;
        margin: 8px 0;
    }

    .name-wrapper svg {
        top: 5px;
        margin: 8px 0;
        width: auto;
    }

    .kipp-link-card .card-content svg {
        width: auto;
    }

    .kipp-link-card {
        padding: 30px 40px;
    }

    .kipp-link-card .card-icon {
        width: 120px;
    }

    .kipp-link-card .card-title {
        font: 700 20px/28px "DM Sans", sans-serif;
    }

    .kipp-link-card .card-description {
        font: 400 20px/28px "DM Sans", sans-serif;
    }


    .image-square {
        margin-right: 40px;
        width: 100%;
    }

    .image-wrapper {
        width: 395px;
        height: 305px;
    }

    .blend-square {
        top: -40px;
        right: -40px;
        width: 305px;
        height: 305px;
    }
}

